%define upstream_name Spoon
%define upstream_version 0.24
%global __provides_exclude perl\\(IO::All\\)

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8
Summary:	A Spiffy Application Building Framework 
URL:		https://metacpan.org/release/%{upstream_name}
# no available category
Source:		https://cpan.metacpan.org/authors/id/I/IN/INGY/%{upstream_name}-%{upstream_version}.tar.gz
License:	GPL
Group:		Development/Perl

BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(IO::All)
BuildRequires:  perl(CGI)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Template)
BuildRequires:  perl(Spiffy)
BuildRequires:  perl(URI::Escape)
BuildArch:	noarch

%{?perl_default_filter}

%description
Spoon is an Application Framework that is designed primarily for building
Social Software web applications. The Kwiki wiki software is built on top of
Spoon.

Spoon::Base is the primary base class for all the Spoon::* modules. Spoon.pm
inherits from Spiffy.pm.

Spoon is not an application in and of itself. (As compared to Kwiki) You need
to build your own applications from it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Spoon
%{perl_vendorlib}/Spoon.pm
%{_mandir}/*/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.240.0-8.mga9
+ Revision: 1819005
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.240.0-7.mga8
+ Revision: 1506184
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.240.0-6.mga7
+ Revision: 1286046
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.240.0-5.mga7
+ Revision: 1166591
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.240.0-4.mga7
+ Revision: 1160359
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-3.mga6
+ Revision: 1033308
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.240.0-2.mga6
+ Revision: 938275
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.24-10.mga5
+ Revision: 748512
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.24-9.mga5
+ Revision: 733402
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.24-8.mga5
+ Revision: 686217
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.24-7.mga4
+ Revision: 514682
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.24-6.mga3
+ Revision: 372680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.24-5.mga1
+ Revision: 36542
- mageia rebuild
- imported package perl-Spoon


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.24-5mdv2010.0
+ Revision: 430542
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.24-4mdv2009.0
+ Revision: 258358
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.24-3mdv2009.0
+ Revision: 246422
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.24-1mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2008.0
+ Revision: 48176
- new version


* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-4mdv2007.0
- buildrequires perl(URI::Escape)

* Fri Jun 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-3mdv2007.0
- buildrequires Perl(Spiffy)

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.23-2mdk
- Rebuild

* Mon Apr 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdk 
- first mandriva release

